Bug 114935 - gtk error -- segfault
gtk error -- segfault
Product: Fedora
Classification: Fedora
Component: gftp (Show other bugs)
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-02-04 12:10 EST by Gene Czarcinski
Modified: 2013-04-02 00:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-15 04:28:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2004-02-04 12:10:32 EST
Description of problem:
This only seems to occur on x86_64

At gftp startup, get the following error messages:

(gftp-gtk:18806): Gtk-CRITICAL **: file gtkwidget.c: line 4101
(gtk_widget_get_style): assertion `GTK_IS_WIDGET (widget)' failed
(gftp-gtk:18806): Gtk-CRITICAL **: file gtkwidget.c: line 4101
(gtk_widget_get_style): assertion `GTK_IS_WIDGET (widget)' failed
Segmentation fault

Version-Release number of selected component (if applicable):
FC1 x86_64 test1 with gftp-2.0.16-1 from development

Whether using the binary or rebuild src.rpm.
Comment 1 Gene Czarcinski 2004-02-04 15:39:51 EST
working with upstream to get fix
Comment 2 Gene Czarcinski 2004-02-04 17:12:39 EST
"fixed in cvs" by upstream.

I have build src and binary rpms (i386, x86_64) and tested them. 
These packages are available at ftp://czarc.net/pub/

Whether "you" want to use the packages I built (rebuilding naturally)
or wait for 2.0.17 to appear is up to you.  However, the 2.0.16
package will fail on a x86_64 system.
Comment 3 Gene Czarcinski 2004-02-05 02:25:02 EST
According to Brian Masney it will likely be a month before 2.0.17 appears.
Comment 4 Gene Czarcinski 2004-03-30 12:59:31 EST
Reverified that this occurs on FC2-T2:

(gftp-gtk:5468): Gtk-CRITICAL **: file gtkwidget.c: line 4398
(gtk_widget_get_style): assertion `GTK_IS_WIDGET (widget)' failed
Segmentation fault

This is fixed by the recently released gftp-2.0.17
Comment 5 Gene Czarcinski 2004-04-15 00:51:05 EDT
Any hope of getting this fixed??
Comment 6 Warren Togami 2004-04-15 03:27:16 EDT
rawhide soon, be sure that you test it.  Set to CLOSED RAWHIDE if it
works on x86-64.
Comment 7 Warren Togami 2004-04-15 03:44:17 EDT
Grab the binary from here so you can test it sooner.
Comment 8 Gene Czarcinski 2004-04-15 04:28:37 EDT
gftp-2.0.17-1 tested on both i386 (dual P-III) and x86_64 (Opteron)
and it works fine.

I will close this now (but reopen if it does not show up in rawhide in
the next couple of days).

Note You need to log in before you can comment on or make changes to this bug.